Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.xmpp
Class XmppChatConversation

    java.lang.Object
      org.mule.transport.xmpp.AbstractXmppConversation
          org.mule.transport.xmpp.XmppChatConversation

All Implemented Interfaces:
  XmppConversation

    public class XmppChatConversation

extends AbstractXmppConversation

`XmppConversation` implementation that sends messages via `Chat`

Field Summary

Fields inherited from class org.mule.transport.xmpp.AbstractXmppConversation
`connection, logger, packetCollector, recipient`

Constructor Summary
`XmppChatConversation(ImmutableEndpoint endpoint)`

Method Summary
`protected org.jivesoftware.smack.filter.PacketFilter` | `createPacketFilter()`
`void` | `dispatch(org.jivesoftware.smack.packet.Message message)` Asynchronously dispatch `message` via the Jabber conversation.
`protected void` | `doConnect()` Subclasses can override this method to create their conversation specific connection.
`protected void` | `doDisconnect()` Subclasses can override this method to perform custom disconnect actions.

Methods inherited from class org.mule.transport.xmpp.AbstractXmppConversation
`connect, createPacketCollector, disconnect, receive, receive`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmppChatConversation

    public XmppChatConversation(ImmutableEndpoint endpoint)

Method Detail

### doConnect

    protected void doConnect()

  Description copied from class: `AbstractXmppConversation`
  Subclasses can override this method to create their conversation specific connection.

  Overrides:
    `doConnect` in class `AbstractXmppConversation`

### createPacketFilter

    protected org.jivesoftware.smack.filter.PacketFilter createPacketFilter()

  Overrides:
    `createPacketFilter` in class `AbstractXmppConversation`
  Returns:
    a `PacketFilter` instance that matches the desired message type and recipient for this conversation.

### doDisconnect

    protected void doDisconnect()

  Description copied from class: `AbstractXmppConversation`
  Subclasses can override this method to perform custom disconnect actions.

  Overrides:
    `doDisconnect` in class `AbstractXmppConversation`

### dispatch

    public void dispatch(org.jivesoftware.smack.packet.Message message)
                  throws org.jivesoftware.smack.XMPPException

  Description copied from interface: `XmppConversation`
  Asynchronously dispatch `message` via the Jabber conversation.

  Throws:
    `org.jivesoftware.smack.XMPPException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.